Upgrade from 2.0.15 to latest 2.5.0

In this board you can talk about general questions about phpMyFAQ

Moderator: Thorsten

mmcshane
Posts: 3
Joined: Tue Feb 17, 2009 6:31 am

Upgrade from 2.0.15 to latest 2.5.0

Post by mmcshane » Sun Aug 02, 2009 6:07 pm

I have a working version 2.0.15 and wanted to upgrade to the latest 2.5.0.
In the documentation...
"... First you have to delete all files except:

- the files data.php in the directory inc/
- all files in the template/ directory

Open the following URL in your browser:

http://www.example.com/faq/install/update.php

Choose your installed phpMyFAQ version and click the button of the update script, your version will automatically be updated. You have to update some of your template files due to the new, enhanced template engine."

So I am assuming that I need to upload the new package files so I did so. Running the update was successful but when I go to the index.php, my FAQ history was removed. Of course, I had backed up the files but not the MySQL file. Doh!
Deleting the new folder and restoring the 2.0.15 folder works for some reason AND the version check now says 2.5.0.
I can add and edit FAQ's so I am good but since the mysql file was changed, I am thinking that I will have issues with this later.
Thanks in advance,
Mike

Thorsten
Posts: 14769
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by Thorsten » Mon Aug 03, 2009 6:16 pm

Hi,

there's an error in our documentation. I'll fix this as soon as possible.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

hollyhock
Posts: 15
Joined: Tue Nov 17, 2009 9:25 pm

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by hollyhock » Thu Dec 03, 2009 6:38 pm

It's not actually made clear that you need to upload 2.5.X after deleting the files from the old version. Could that be added in the documentation? Otherwise it just sounds like you delete a lot of files and then go into a directory that doesn't exist.

Also, I'm worried that the MySQL back-up I made from 2.0 won't be able to be loaded into 2.5 -- is this correct? I'm currently in process of deleting files so I guess if all goes wrong I have to go back to 2.0, which as you know (you responded to a thread I made about how slow the FAQ system is running even with PHP 5.2 now and with 2.0) is not ideal.

Thorsten
Posts: 14769
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by Thorsten » Thu Dec 03, 2009 8:55 pm

Hi,

I'll try to improve the documentation.

You cannot load a 2.0 backup into 2.5 because of a changed table structure. If you all goes wrong - in most cases it works really great - you have to re-start with your're backupped 2.0 installation. I upgraded three 1.4.x installations this week to 2.6.0-RC and it worked really without any issues.

phpMyFAQ 2.5 is way faster than 2.0.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

filmo
Posts: 8
Joined: Tue Jun 30, 2009 12:22 am

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by filmo » Wed May 05, 2010 4:44 am

Hi,

I'm confused as well as to the upgrade procedure. (I'm going from 2.0 to 2.6.x).

I'm also moving the FAQ server to a new box. So really what I want to do is install a fresh copy of 2.6 on the new box and import the old 2.0 data and have it converted.

I've saved my 2.0 mysql data to a backup.sql file

I've installed the 2.6 software on the new box.

The update instructions say to delete everything except:
  • the files data.php in the directory inc/
    all files in the template/ directory
    the directory attachments/
    the directory data/
    the directory images/
This is where it doesn't make sense. I'm assuming you mean "within" the folders listed "delete everything", not "delete all the other files from the package besides these specific folders".

Either way it doesn't make much sense in my case because the only files there are the ones from unpacking the 2.6 tar.

Since I've got a 'fresh' copy of 2.6 on the machine, should I really be deleting anything? It seems like the only thing I should be doing is linking to the old table structure from 2.0 and having it converted?

Thorsten
Posts: 14769
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by Thorsten » Wed May 05, 2010 5:49 am

Hi,

if you don't care about old logs you just need the inc/data.php file for the update.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

hhullen
Posts: 38
Joined: Thu Mar 30, 2006 2:42 pm
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by hhullen » Thu May 06, 2010 6:54 pm

Thorsten wrote:Hi,

if you don't care about old logs you just need the inc/data.php file for the update.

bye
Thorsten
Ich klinke mich mal in Deutsch ein (und an): ich versuche gerade, 2.0.10 auf 2.6.4 upzudaten, nach der Anleitung, die (so der Hinweis vor fast einem Jahr) überarbeitet werden sollte.

Mein erstes Problem: entpacke ich vor dem Aufruf des "update.php"-Skripts die neue Version neben die alte, oder entpacke ich sie über die alte?

Dann: (Ziffer 3a der aktuellen Dokumentation): in welcher Version lösche ich die vielen Dateien ("all except ...")? in der alten Version? in der neuen? in der kombinierten?

Ich habe mal versuchsweise die 2.6.4 neben die 2.0.10 entpackt und dort "all except ..." gelöscht: der Aufruf von "update.php" produzierte viele Fehlermeldungen (was ich erwartet hatte).

Was wäre der richtige Weg?
Viele Grüsse
Helmut

Thorsten
Posts: 14769
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by Thorsten » Thu May 06, 2010 8:34 pm

Hi,

einfach die 2.6.4 über die alten kopieren und dann das Update-Skript starten.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

hhullen
Posts: 38
Joined: Thu Mar 30, 2006 2:42 pm
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by hhullen » Thu May 06, 2010 9:11 pm

Thorsten wrote:Hi,

einfach die 2.6.4 über die alten kopieren und dann das Update-Skript starten.

bye
Thorsten
chmod og-wx Pfad/zu/install/update.php

Dann lässt sich das Skript starten.
Ende:

DB error: Table 'faqsearches' already exists

Query:

CREATE TABLE faqsearches (
id INTEGER NOT NULL ,
lang VARCHAR(5) NOT NULL ,
searchterm VARCHAR(255) NOT NULL ,
searchdate TIMESTAMP,
PRIMARY KEY (id, lang))
-------------------------

Aufruf von http://arktur.de/phpmyfaq-2.6.4 meldet zu weitgehende Rechte (2.0.10 war anscheinend noch nicht so mäkelig)

chmod -R og-xw Pfad/zu/phpmyfaq-2.6.4
chmod -R og+X Pfad/zu/phpmyfaq-2.6.4

Dann:
mkdir -p Pfad/zu/phpmyfaq-2.6.4

(sonst wird bemängelt, dass in dieses Verzeichnis nicht geschrieben werden kann).

Ergebnis: siehe
http://arktur.de/FAQ

Fehlen da einige Bilder?

http://arktur.de/phpmyfaq-2.0.10

liefert eine ein wenig andere Startseite, insbesondere eher mit Grafik sowie mit Farben. Aber das dürften kleinere Probleme sein.
Viele Grüsse
Helmut

Thorsten
Posts: 14769
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by Thorsten » Fri May 07, 2010 7:14 am

Hi,

wenn die Tabelle faqsearches schon vorhanden ist, dann lief wohl schon einmal ein Update teilweise durch... das Update ist aber nicht sauber, weil noch 2.0.10 als Version dran steht...

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

hhullen
Posts: 38
Joined: Thu Mar 30, 2006 2:42 pm
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by hhullen » Fri May 07, 2010 3:47 pm

Thorsten wrote:Hi,

wenn die Tabelle faqsearches schon vorhanden ist, dann lief wohl schon einmal ein Update teilweise durch... das Update ist aber nicht sauber, weil noch 2.0.10 als Version dran steht...

bye
Thorsten
Damit könnte ich ja noch leben ...

Wenn ich eine alte FAQ bearbeite, dann steht sie auf "inaktiv", und ich kann das anscheinend nicht ändern.

Gleiches Problem, wenn ich eine neue FAQ anlegen will: die beharrt auch auf "inaktiv".
Viele Grüsse
Helmut

Thorsten
Posts: 14769
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by Thorsten » Fri May 07, 2010 6:17 pm

Hi,

einfach in den Rechten des User das Recht dafür anklicken. Das fehlt nach dem Update auf die 2.6 manchmal.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

hhullen
Posts: 38
Joined: Thu Mar 30, 2006 2:42 pm
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by hhullen » Fri May 07, 2010 8:57 pm

Thorsten wrote:Hi,

einfach in den Rechten des User das Recht dafür anklicken. Das fehlt nach dem Update auf die 2.6 manchmal.

bye
Thorsten
Danke - das war's!

Jetzt müsste ich nur noch wissen, wo und wie ich die "richtige" Version einstellen kann.
Viele Grüsse
Helmut

Thorsten
Posts: 14769
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by Thorsten » Sat May 08, 2010 8:44 am

Hi,

einfach per phpMyAdmin in die faqconfig-Tabelle gehen und dort nach der Version schauen und dann eintragen.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

hhullen
Posts: 38
Joined: Thu Mar 30, 2006 2:42 pm
Contact:

Re: Upgrade from 2.0.15 to latest 2.5.0

Post by hhullen » Sat May 08, 2010 10:03 am

Thorsten wrote:Hi,

einfach per phpMyAdmin in die faqconfig-Tabelle gehen und dort nach der Version schauen und dann eintragen.

bye
Thorsten
Danke für das Vertrauen in meine Fähigkeiten - hat geklappt!
Viele Grüsse
Helmut

Post Reply